.login-bg{
  background-image: url(../images/web-login.jpg);
}
.login-box{    
  background-color: #f2f2e9;
}
.login-top-msg{
  color: #78785a;
  font-size: 14px;
}
.login-input{
  background-color: #fff;
}
.login-ico{    
  border-right: 1px solid #ddd;
  padding-right: 8px;
}
.text-theme-dark{
  color: #3f5f36;
}
.bg-theme-dark{
  background-color: #3f5f36;
}
.bg-theme-dark:hover{
  background-color: #294620;
}
.buttons-print{
  border-radius: 50%;
}
.buttons-print:hover,.buttons-excel:hover,.buttons-pdf:hover{
  background-color: #eeefee;
}
.btn-icon{
  padding: 7px;
    width: auto;
    height: auto;
}

@media (max-width: 1199.98px)
{ .navbar-expand-xl .navbar-collapse .navbar-nav > .nav-item > .dropdown-menu {
      margin-top: .25rem;
  }
}

.header-bg{
  background-color: #fff;
    /*background-image: linear-gradient(to bottom, rgb(255 255 255), rgb(210 221 213));*/
    background-image: radial-gradient(circle at top left, rgb(255 255 255), rgb(210 221 213));
}
.navbar-dark .navbar-nav-link {
  color: #3f5f36;
}
.navbar-dark .navbar-nav-link:focus, .navbar-dark .navbar-nav-link:hover{
  color: #3f5f36;
}
.navbar-dark .active > .navbar-nav-link, .navbar-dark .navbar-nav-link.active, .navbar-dark .navbar-nav-link.show, .navbar-dark .show > .navbar-nav-link{
  color: #3f5f36;
}
.user-ico{
  font-size: 20px;
  border: 1px solid #b5aeae;
  padding: 5px;
  border-radius: 31px;
}
.footer-bg{
  background-color: #ddd;
    border-top: 2px solid #cfcbcb;
    min-height: 50px;
}
.footer-link{
  color:#6c6969;
}
.table-bordered td, .table-bordered th {
  border: 1px solid #cdccca;
}
/*<!-------------------All ----------------------->*/
.navbar-brand img{
  height:auto;
}
.page-title {
  padding: 0rem 0;
}
.page-title h5{
color:#3f5f36;
}
.card-header:not([class*=bg-])+*>.card-body:first-child, .card-header:not([class*=bg-])+.card-body{
  padding-top: 20px;
}
.dataTables_scroll .dataTables_scrollBody table tbody tr:first-child>td{
  padding: 4px;
}
.table thead{background-color: #c3c148 !important;}
.table thead tr th{color:#fff;}
.table td{padding: 4px;}

a.bg-theme-dark,button.bg-theme-dark{color:#fff;}
a.bg-theme-dark:hover,button.bg-theme-dark:hover{color:#fff;}
.dataTables_filter input:focus {
  border-color: #667861;
  box-shadow: 0 0 0 1px #667861 inset;
}
.form-control:focus{
  border-color: #667861;
  box-shadow: 0 0 0 1px #667861 inset;
}
.select2-container--focus:not(.select2-container--disabled) .select2-selection--single:not(.select2-filled), .select2-container--open .select2-selection--single:not(.select2-filled){
  border-color: #667861;
  box-shadow: 0 0 0 1px #667861 inset;
}
.modal-header.bg-theme-dark{background-color: #adab4a !important;}
.parsley-error{
  border-color: #f44336 !important;
}
.parsley-success{
  border-color: #4caf50 !important;
}
.parsley-errors-list{
  margin-left: 0px;
  padding-left: 0px;
}
.parsley-errors-list li{
  list-style: none;
  color: #f44336;
  font-size: 13px;
}
.form-label{
  font-weight: 500;
}
input.font-weight-bold{
  font-weight: 500 !important;  
  height: 40px;
  background-color: #f7f7f7;
}
.select2-selection--single{
  background-color: #f7f7f7;
}
textarea.form-control{
  background-color: #f7f7f7;
}
label{margin-bottom: 3px;}
.box-effect{
  border:1px solid #ddd;
  box-shadow: 0px 1px 6px #e7e2e2;
      
}
.bg-success-100 {
  background-color: #c3c148!important;
  border-radius: 10px 10px 0px 0px;
}
.border-success {
  border-color: #3f5f36!important;
}
/**active and in active **/
.custom-switch .custom-control-input:checked~.custom-control-label::before, 
.custom-switch .custom-control-input:disabled:checked~.custom-control-label::before{
  content: " Active";
  width: 70px;
  padding-left: 7px;
}
.custom-switch .custom-control-label::before{
  content: " In active";
  width: 65px;
  padding-left:5px;
}
.custom-switch.custom-control-right .custom-control-label {
  padding-right: 6.9375rem;
}
.custom-switch .custom-control-label::before{
  width: 5.5rem;
}
.onoffswitch {
  position: relative; width: 105px;
  -webkit-user-select:none; -moz-user-select:none; -ms-user-select: none;
}
.onoffswitch-checkbox {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}
.onoffswitch-label {
  display: block; overflow: hidden; cursor: pointer;
  border-radius: 20px;
}
.onoffswitch-inner {
  display: block; width: 200%; margin-left: -100%;
  transition: margin 0.3s ease-in 0s;
}
.onoffswitch-inner:before, .onoffswitch-inner:after {
  display: block; float: left; width: 50%; height: 30px; padding: 0; line-height: 30px;
  font-size: 14px; color: white; font-family: Trebuchet, Arial, sans-serif; font-weight: bold;
  box-sizing: border-box;
}
.onoffswitch-inner:before {
  content: "Active";
  padding-left: 10px;
  background-color: #3f5f36; color: #FFFFFF;
}
.onoffswitch-inner:after {
  content: "In-Active";
  padding-right: 10px;
  background-color: #df2727; color: #fff;
  text-align: right;
}
.onoffswitch-switch {
  display: block; width: 18px; margin: 6px;
  background: #FFFFFF;
  position: absolute; top: 0; bottom: 0;
  right: 70px;
  border: 1px solid #999999; border-radius: 20px;
  transition: all 0.3s ease-in 0s; 
}
.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
  margin-left: 0;
}
.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
  right: 0px; 
}
/*.onoffswitch-checkbox:not(:checked) + .onoffswitch-label .onoffswitch-inner {
  margin-left: -100px;
}
.onoffswitch-checkbox:not(:checked) + .onoffswitch-label .onoffswitch-switch {
  right: 70px; 
}*/
/*.custom-switch.custom-control-right .custom-control-label:after{
  right: calc(1.1875rem - -36px);
}*/
.btn-dark{
  background-color: #3f5f36;
}
.btn-dark:hover{
  background-color: #2e4627;
}

@media (min-width: 320px){
.d-sm-none {
    display: none;
}
.login-box{
  border-radius: 20px;
}
.h-box{
  min-height:389px;
}
}
@media (min-width: 775px){
  .login-box{
    border-radius: 0px 20px 20px 0px;
  }
  .h-box{
    min-height:389px;
  }
}
@media (min-width: 1080px){
  .login-box{
    border-radius: 0px 20px 20px 0px;
  }
  .h-box{
    min-height:389px;
  }
}
@media (min-width: 1200px){
  .login-box{
  border-radius: 0px 20px 20px 0px;
  }
  .h-box{
    min-height:389px;
  }
}
.custom-control-input:checked~.custom-control-label::before{
  border-color: #448731;
    background-color: #448731;
}
.custom-control-label::before{
  border: #448731 solid 2px;
}
.custom-switch .custom-control-input:checked~.custom-control-label::before{
  background-color: #448731;
}
.dropdown-item{
  color: #3f5f36;
}
.dropdown-header>i, .dropdown-item>i{
  color: #3f5f36;
}
input[type="checkbox"] {
  /* Unchecked Styles*/
  background: #020202;

}
input[type="checkbox"]:checked {
  /* Checked Styles*/
  background: #2e4627;
}

input[type="checkbox"]:not(:checked) + .onoffswitch-inner:after {
  /* Explicit Unchecked Styles */
  border: 1px solid #FF0000; 
  display: none;
}
input[type="checkbox"]:checked {
  /* Checked Styles */
  font-weight: 900; 
}
.select2-selection--multiple .select2-selection__rendered {
  border: 1px solid #ccc;
  min-height: 35px;
}
.fileuploader {
  margin: 0;
}
.media-chat-scrollable {
  max-height: 250px;
}

/* rating */
.list-feed-item:last-child:before {
  background-color: #f58646;
}
.rating {
  float: left;
  height: 46px;
  padding: 0 10px;
  left:0
}
.rating:not(:checked) > input {
  position:absolute;
  top:-9999px;
}
.rating:not(:checked) > label {
  float:right;
  width:1em;
  overflow:hidden;
  white-space:nowrap;
  cursor:pointer;
  font-size:30px;
  color:#ccc;
}
.rating:not(:checked) > label:before {
  content: '★ ';
}
.rating > input:checked ~ label {
  color: #ffc700;    
}
.rating:not(:checked) > label:hover,
.rating:not(:checked) > label:hover ~ label {
  color: #deb217;  
}
.rating > input:checked + label:hover,
.rating > input:checked + label:hover ~ label,
.rating > input:checked ~ label:hover,
.rating > input:checked ~ label:hover ~ label,
.rating > label:hover ~ input:checked ~ label {
  color: #c59b08;
}
/* rating end */

.select2-search--dropdown {
  padding: 0.5rem;
}
.select2-results__option {
  padding: 0.3rem 1rem;
}

.navbar-text {
  padding-top: 1rem;
  padding-bottom: 0.75rem;
}
.dataTables_processing
{
  z-index: 105
}
.custom-control-label {
  padding-left: 1.5rem;
}
ul {
  margin-bottom: 0;
}
.list-feed-item:last-child:before {
  background-color: #f58646;
}

/* Start Smiley Emoji */
  div#smileys input[type="radio"] {
    -webkit-appearance: none;
    width: 50px;
    height: 50px;
    border: none;
    cursor: pointer;
    transition: border 0.2s ease;
    filter: grayscale(100%);
    margin: 0 5px;
    transition: all 0.2s ease;
  }
  div#smileys input[type="radio"]:hover, div#smileys input[type="radio"]:checked {
    filter: grayscale(0);
  }
  div#smileys input[type="radio"]:focus {
    outline: 0;
  }
  div#smileys input[type="radio"].happy {
    background: url('https://res.cloudinary.com/turdlife/image/upload/v1492864443/happy_ampvnc.svg') center;
    background-size: cover;
  }
  div#smileys input[type="radio"].neutral {
    background: url('https://res.cloudinary.com/turdlife/image/upload/v1492864443/neutral_t3q8hz.svg') center;
    background-size: cover;
  }
  div#smileys input[type="radio"].sad {
    background: url('https://res.cloudinary.com/turdlife/image/upload/v1492864443/sad_bj1tuj.svg') center;
    background-size: cover;
  }
/* End Smiley Emoji */
.dataTables_filter {
  margin-left: .25rem;
}
.dataTables_paginate {
  margin: 0.5rem 0 0 1.25rem;
}
.dataTables_info {
  margin-bottom: 0;
}
.modal-open {
  overflow: auto;
}
body {
  overflow-y: auto;
}
.select2-search__field {
  width: 100% !important;
}
.select2-selection--multiple .select2-selection__choice {
  background-color: #ddd;
}